
Redmine - Patch #32453

Update capybara (~> 3.31.0)

2019-11-12 05:54 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.2.0   

Description

The following patch was submitted in #31657#note-9 by Takenori TAKAKI.

index 587bdb101..1d7c8fe1c 100644

--- a/Gemfile

+++ b/Gemfile

@@ -81,7 +81,7 @@ group :test do

   gem "ffi", platforms: [:mingw, :x64_mingw, :mswin]

   # For running system tests

   gem 'puma', '~> 3.7'

-  gem "capybara", (RUBY_VERSION < "2.4" ? "~> 3.15.1" : "~> 3.25.0")

+  gem "capybara", (RUBY_VERSION < "2.4" ? "~> 3.15.1" : "~> 3.29.0")

   gem "selenium-webdriver" 

   # RuboCop

   gem 'rubocop', '~> 0.76.0'

Related issues:

Related to Redmine - Patch #32907: Update capybara (~> 3.31.0) Closed

Copied from Redmine - Defect #31657: Update capybara (~> 3.25.0) Closed

Associated revisions

Revision 19073 - 2019-11-14 01:23 - Go MAEDA

Update capybara (~> 3.29.0) (#32453).

Patch by Takenori TAKAKI.

Revision 19493 - 2020-02-04 07:59 - Go MAEDA

Update capybara to 3.31 (#32453, #32907).

Patch by Pavel Rosický.

History

#1 - 2019-11-12 05:54 - Go MAEDA

- Copied from Defect #31657: Update capybara (~> 3.25.0) added

#2 - 2019-11-14 01:11 - Go MAEDA

- File deleted (31657.patch)

#3 - 2019-11-14 01:11 - Go MAEDA

- File deleted (failures_test_issue_trackers_description_should_select_tracker.png)

#4 - 2019-11-14 01:11 - Go MAEDA

- File deleted (issues_test.rb.patch)

#5 - 2019-11-14 01:24 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA
Committed the patch. Thank you.

#6 - 2020-02-04 08:00 - Go MAEDA

- Related to Patch #32907: Update capybara (~> 3.31.0) added

#7 - 2020-02-04 08:00 - Go MAEDA

- Subject changed from Update capybara (~> 3.29.0) to Update capybara (~> 3.31.0)
